<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>My App</title>
</head>
<body>
  <h1>Welcome to My App!</h1>
  <p>This is a simple HTML and JavaScript demo.</p>
  <button onclick="showMessage()">Click me</button>
  <div id="message"></div>

  <script>
    function showMessage() {
      document.getElementById("message").textContent = "Hello, world!";
    }
  </script>
</body>
</html>
